=== debian/changelog ===
ros-galactic-plotjuggler (3.6.0-1focal) focal; urgency=high

  * More memes
  * Refactoring of the MessageParser plugins
  * Mcap support (#722 <https://github.com/facontidavide/PlotJuggler/issues/722>)
  * Improve CSV loader error handling (#721 <https://github.com/facontidavide/PlotJuggler/issues/721>)
  * Fix plotwidget drag and drop bug (Issue #716 <https://github.com/facontidavide/PlotJuggler/issues/716>) (#717 <https://github.com/facontidavide/PlotJuggler/issues/717>)
  * fix(snap): remove yaml grade (#718 <https://github.com/facontidavide/PlotJuggler/issues/718>)
    grade is set from the part
    YAML grade has priority over the programmed one so we remove it
  * Contributors: Bartimaeus-, Davide Faconti, Guillaume Beuzeboc

 -- Davide Faconti <davide.faconti@gmail.com>  Fri, 12 Aug 2022 22:00:00 -0000

ros-galactic-plotjuggler (3.5.2-1focal) focal; urgency=high

  * fix issue #642 <https://github.com/facontidavide/PlotJuggler/issues/642>
  * fix FFT toolbox
  * Add options for enabling/disabling autozoom in preferences (#704 <https://github.com/facontidavide/PlotJuggler/issues/704>)
  * add support for custom window titles (#715 <https://github.com/facontidavide/PlotJuggler/issues/715>)
  * Fix/snap rosbag (#714 <https://github.com/facontidavide/PlotJuggler/issues/714>)
  * fix mosquitto build in linux
  * Better cmake (#710 <https://github.com/facontidavide/PlotJuggler/issues/710>)
  * fix #707 <https://github.com/facontidavide/PlotJuggler/issues/707>
  * better installation instructions
  * fix(snap): reapply changes remove by the merge of main (#703 <https://github.com/facontidavide/PlotJuggler/issues/703>)
  * save ColorMaps in layout
  * Contributors: Bartimaeus-, Davide Faconti, Guillaume Beuzeboc, grekiki

 -- Davide Faconti <davide.faconti@gmail.com>  Thu, 04 Aug 2022 22:00:00 -0000

ros-galactic-plotjuggler (3.5.1-1focal) focal; urgency=high

  * Dev/ros1 ros2 snap (#698 <https://github.com/facontidavide/PlotJuggler/issues/698>)
  * update nlohmann json to fix #640 <https://github.com/facontidavide/PlotJuggler/issues/640>
  * should prevent error #696 <https://github.com/facontidavide/PlotJuggler/issues/696>
  * Merge branch 'improved_zoomout' into main
  * cleanup after #702 <https://github.com/facontidavide/PlotJuggler/issues/702>
  * Statistics dialog improvements and bug fixes (#702 <https://github.com/facontidavide/PlotJuggler/issues/702>)
  * Include std::thread instead of QThread, since it is being utilized in the mqtt plugin instead of QThread. (#700 <https://github.com/facontidavide/PlotJuggler/issues/700>)
  * fix zmq compilation
  * cherry picking from #698 <https://github.com/facontidavide/PlotJuggler/issues/698>
  * increase playback step precision (#692 <https://github.com/facontidavide/PlotJuggler/issues/692>)
  * Fix typo in ColorMap warning (#693 <https://github.com/facontidavide/PlotJuggler/issues/693>)
  * Set buttonBackground icon in .ui file (#694 <https://github.com/facontidavide/PlotJuggler/issues/694>)
  * Update README.md
  * Fix #697 <https://github.com/facontidavide/PlotJuggler/issues/697>
  * update sol2 and fix #687 <https://github.com/facontidavide/PlotJuggler/issues/687>
  * try to improve the linked zoomout
  * Contributors: Bartimaeus-, Davide Faconti, Guillaume Beuzeboc, Hugal31, ozzdemir

 -- Davide Faconti <davide.faconti@gmail.com>  Sun, 24 Jul 2022 22:00:00 -0000

ros-galactic-plotjuggler (3.5.0-1focal) focal; urgency=high

  * license changed to MPL 2.0
  * Macos ci (#685 <https://github.com/facontidavide/PlotJuggler/issues/685>)
  * Add CSV table preview and CSV highlighting (#680 <https://github.com/facontidavide/PlotJuggler/issues/680>)
    * Add CSV table preview and CSV highlighting
    * add toggles for enabling CSV table view and syntax highlighting
  * Fix start/end time bug in CSV Exporter (#682 <https://github.com/facontidavide/PlotJuggler/issues/682>)
  * Add tooltips to CSV publisher buttons (#683 <https://github.com/facontidavide/PlotJuggler/issues/683>)
    -Add tooltips to the buttons that set the start/end time based on vertical time tracker position
    -add missing space in text ("timerange" to "time range")
  * Fix #415 <https://github.com/facontidavide/PlotJuggler/issues/415>
  * add statistics
  * Add background editor
  * fix crash in Parquet plugin
  * Add line numbers to csv loader (#679 <https://github.com/facontidavide/PlotJuggler/issues/679>)
  * Fix type-o in reactive script editor (#678 <https://github.com/facontidavide/PlotJuggler/issues/678>)
    missing "r" in "ScatterXY"
  * Contributors: Bartimaeus-, Davide Faconti

 -- Davide Faconti <davide.faconti@gmail.com>  Mon, 11 Jul 2022 22:00:00 -0000

ros-galactic-plotjuggler (3.4.5-1focal) focal; urgency=high

  * fix compilation
  * add QCodeEditor
  * CI: cmake ubuntu/Windows
  * Fix CSV generated time axis. (#666 <https://github.com/facontidavide/PlotJuggler/issues/666>)
    Previously the CSV dataload plugin was not saving the correct XML state
    when a generated time axis was used.
  * Added support for converted int types (#673 <https://github.com/facontidavide/PlotJuggler/issues/673>)
    * Added support for converted int types
    * Added fallback for int32 and int64
    Co-authored-by: Rano Veder <mailto:r.veder@primevision.com>
  * Add tooltip to the zoom out button (#670 <https://github.com/facontidavide/PlotJuggler/issues/670>)
  * PlotJuggler will generate its own cmake target
  * Parquet plugin (#664 <https://github.com/facontidavide/PlotJuggler/issues/664>)
  * fix Cancel button in CSV loader (#659 <https://github.com/facontidavide/PlotJuggler/issues/659>)
  * Make tutorial link open in browser when clicked (#660 <https://github.com/facontidavide/PlotJuggler/issues/660>)
    Similar to https://github.com/facontidavide/PlotJuggler/pull/658 but applied to the tutorial link in the reactive lua editor
  * accept white lines in CSV
  * Update README.md (#661 <https://github.com/facontidavide/PlotJuggler/issues/661>)

