=== debian/control ===
Source: ros-galactic-plotjuggler
Section: misc
Priority: optional
Maintainer: Davide Faconti <davide.faconti@gmail.com>
Build-Depends: debhelper (>= 9.0.0), binutils-dev, libboost-all-dev, liblz4-dev, libqt5opengl5-dev, libqt5svg5-dev, libqt5websockets5-dev, libqt5x11extras5-dev, libzmq3-dev, libzstd-dev, qtbase5-dev, ros-galactic-ament-cmake, ros-galactic-ament-index-cpp, ros-galactic-fastcdr, ros-galactic-rclcpp, ros-galactic-ros-workspace
Homepage: https://github.com/facontidavide/PlotJuggler
Standards-Version: 3.9.2

Package: ros-galactic-plotjuggler
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, binutils-dev, libboost-all-dev, liblz4-dev, libqt5opengl5-dev, libqt5svg5-dev, libqt5websockets5-dev, libqt5x11extras5-dev, libzmq3-dev, libzstd-dev, qtbase5-dev, ros-galactic-ament-index-cpp, ros-galactic-fastcdr, ros-galactic-rclcpp, ros-galactic-ros-workspace
Description: PlotJuggler: juggle with data
